Skip to Content
CallMitraDocs
API referenceTickets

Get a ticket

The ticket with its latest activities (notes, replies and changes).

GET
/api/v1/tickets/{ticket_id}

The ticket with its latest activities (notes, replies and changes).

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Path Parameters

ticket_id*Ticket Id

Ticket id.

Response Body

OK

application/json
  1. response
success*Success

Always true on a 2xx response.

ticket*
[key: string]?any
Example Request
curl -X GET 'https://api.callmitra.ai/api/v1/tickets/string'
Example Response
{  "success": true,  "ticket": {    "activities": [      {        "activityType": "priority_change",        "actorName": "Priya Nair",        "actorUserId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f",        "createdAt": "2026-01-15T10:05:00+00:00",        "id": "2c3d4e5f-6a7b-4c8d-8e9f-1a2b3c4d5e6f",        "payload": {          "from": "normal",          "to": "high"        },        "ticketId": "5f0c9a3e-2b7d-4c61-9e84-1d6a7b3c2f90"      },      {        "activityType": "status_change",        "actorName": "Priya Nair",        "actorUserId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f",        "createdAt": "2026-01-15T10:05:00+00:00",        "id": "1b2c3d4e-5f6a-4b7c-9d8e-0f1a2b3c4d5e",        "payload": {          "from": "open",          "source": "console",          "to": "in_progress"        },        "ticketId": "5f0c9a3e-2b7d-4c61-9e84-1d6a7b3c2f90"      },      {        "activityType": "status_change",        "actorName": "Priya Nair",        "actorUserId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f",        "createdAt": "2026-01-15T11:20:00+00:00",        "id": "5f6a7b8c-9d0e-4f1a-9b2c-4d5e6f7a8b9d",        "payload": {          "from": "in_progress",          "source": "console",          "to": "waiting_on_customer"        },        "ticketId": "5f0c9a3e-2b7d-4c61-9e84-1d6a7b3c2f90"      },      {        "activityType": "comment",        "actorName": "Priya Nair",        "actorUserId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f",        "createdAt": "2026-01-15T11:20:00+00:00",        "id": "3d4e5f6a-7b8c-4d9e-9f0a-2b3c4d5e6f7a",        "payload": {          "note": "Courier confirmed the parcel is at the local hub; asked them to redeliver tomorrow."        },        "ticketId": "5f0c9a3e-2b7d-4c61-9e84-1d6a7b3c2f90"      }    ],    "activitiesCursor": "2026-01-15T10:05:00+00:00|2c3d4e5f-6a7b-4c8d-8e9f-1a2b3c4d5e6f",    "activityCount": 5,    "assignedToUserId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f",    "assigneeEmail": "[email protected]",    "assigneeName": "Priya Nair",    "assigneeNames": [      "Priya Nair"    ],    "assignees": [      {        "assignedAt": "2026-01-15T09:30:02+00:00",        "email": "[email protected]",        "name": "Priya Nair",        "userId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f"      }    ],    "canEdit": true,    "canManageAssignees": true,    "canReopenClosed": false,    "categoryId": "3b9f1d7e-6c2a-4e85-a0d4-7f1e2c3b4a56",    "categoryName": "Delivery",    "createdAt": "2026-01-15T09:30:00+00:00",    "createdByUserId": "c2d4e6f8-1a3b-4c5d-8e7f-9a0b1c2d3e4f",    "description": "Customer says the parcel was marked delivered but never arrived.",    "dueAt": "2026-01-16T09:30:00+00:00",    "hasOlderActivities": true,    "id": "5f0c9a3e-2b7d-4c61-9e84-1d6a7b3c2f90",    "leadId": "a41e7c2d-8f35-4b09-b6d2-93c0e5f1a7b8",    "leadName": "Asha Verma",    "leadPhone": "+919812345678",    "merchantId": "9d8c7b6a-5f4e-4d3c-8b2a-1f0e9d8c7b6a",    "overdue": false,    "priority": "high",    "ref": "T-5F0C9A3E",    "sla": {      "firstResponse": {        "dueAt": "2026-01-15T13:30:00+00:00",        "state": "ok",        "warnAt": "2026-01-15T12:30:00+00:00"      },      "paused": false,      "resolution": {        "dueAt": "2026-01-16T09:30:00+00:00",        "state": "ok",        "warnAt": "2026-01-16T05:30:00+00:00"      }    },    "source": "manual",    "status": "waiting_on_customer",    "subject": "Order #1042 not delivered",    "tags": [      "order-1042"    ],    "teamId": "e7a1c3d5-9b2f-4d68-8a0c-2e4f6a8b0c1d",    "teamName": "Customer care",    "type": "support",    "updatedAt": "2026-01-15T11:20:00+00:00",    "version": 3  }}